package com.cool.store.enums;

import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * @Author suzhuhong
 * @Date 2023/6/9 16:35
 * @Version 1.0
 */
public enum WorkflowStatusEnum {
    //意向申请阶段
    INTENT_0("0","待提交"),
    INTENT_1("1","待审核"),
    INTENT_2("2","已通过"),
    INTENT_3("3","未通过"),

    //预约面试阶段
    RESERVATION_0("0","待预约"),
    RESERVATION_1("1","预约时间待审核"),
    RESERVATION_7("7","拒绝"),
    RESERVATION_8("8","超时"),//超时未预约或未参加


    //合格资格面试
    INTERVIEW_2("2","待面试"),
    INTERVIEW_3("3","已开始"),
    INTERVIEW_4("4","待审核"),
    INTERVIEW_5("5","审核中"),
    INTERVIEW_6("6","审核通过"),
    INTERVIEW_7("7","拒绝"),


    ;

    private String code;

    private String message;

    WorkflowStatusEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }


    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

}
